Skip to main content
GET
/
v2
/
telematics
/
ref-hos-rulesets
List HOS Rulesets
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/ref-hos-rulesets \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "hos_ruleset_code": "<string>",
      "hos_ruleset_name": "<string>",
      "jurisdiction_type": "<string>",
      "issue_authority": "<string>",
      "region": "<string>",
      "region_code": "<string>",
      "cycle_days": 123,
      "max_cycle_hours": 123,
      "max_drive_hours_per_day": 123,
      "max_work_hours_per_day": 123,
      "min_offduty_per_day": 123,
      "is_break_required": true,
      "break_interval_hours": 123,
      "is_restart_allowed": true,
      "restart_hours": 123,
      "restart_frequency_days": 123,
      "is_sleeper_split_allowed": true,
      "sleeper_split_notes": "<string>",
      "is_team_rules": true,
      "is_big_day_allowed": true,
      "is_short_haul_exemption": true,
      "short_haul_airmiles": 123,
      "short_haul_max_duty_hours": 123,
      "is_passenger": true,
      "is_railroad_exemption": true,
      "is_oilfield": true,
      "is_farm_product": true,
      "is_flammable": true,
      "is_school_pupil": true,
      "is_seasonal_exemption": true,
      "is_special_exemption": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
RefHosRuleset · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page